# List project API keys

Source: https://docs.wabe.sh/api-reference/operations/listprojectapikeys/

`GET https://api.wabe.sh/v1/projects/{project}/api-keys`

## Authorization

Dashboard login JWT scoped to the organization.

## Parameters

- `project` (path, string, required) — Project ID.

## Responses

### 200

Key metadata.

`application/json`

Schema

```json
{
  "type": "array",
  "items": {
    "type": "object",
    "properties": {
      "id": {
        "type": "string",
        "format": "uuid",
        "example": "779742ad-cd09-4e1c-9170-f20968b344d4"
      },
      "project_id": {
        "type": "string",
        "format": "uuid",
        "example": "779742ad-cd09-4e1c-9170-f20968b344d4"
      },
      "display_prefix": {
        "type": "string",
        "example": "ncp_abc12345"
      },
      "created_at": {
        "type": "string",
        "format": "date-time",
        "example": "2026-11-09T12:00:00Z"
      },
      "revoked_at": {
        "type": [
          "string",
          "null"
        ],
        "format": "date-time",
        "example": null
      }
    },
    "required": [
      "id",
      "project_id",
      "display_prefix",
      "created_at",
      "revoked_at"
    ]
  }
}
```

### 401

Missing or invalid dashboard login JWT.

`application/json`

Schema

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}
```

### 404

Project or key not found in the current organization.

`application/json`

Schema

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}
```
